/*Copyright 2011 indiandragon

This file is part of j2me2AB.

J2meAB is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

j2me2AB is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with j2me2AB.  If not, see <http://www.gnu.org/licenses/>.
*/

package javax.microedition.lcdui;

import android.view.MenuItem;

public class Command {
	public static final int SCREEN = 1;

	public static final int BACK = 2;

	public static final int CANCEL = 3;

	public static final int OK = 4;

	public static final int HELP = 5;

	public static final int STOP = 6;

	public static final int EXIT = 7;

	public static final int ITEM = 8;

	private int priority;
	private int commandType;
	private String label;
	private String longLabel;
	private MenuItem item;

	public Command(String label, int commandType, int priority) {
		this(label, null, commandType, priority);
	}

	public Command(String label, String longLabel, int commandType, int priority) {
		this.label = label;
		this.longLabel = longLabel;
		this.commandType = commandType;
		this.priority = priority;
	}

	public int getCommandType() {
		return this.commandType;
	}

	public String getLabel() {
		return this.label;
	}

	public int getPriority() {
		return this.priority;
	}

	public MenuItem getItem() {
		return item;
	}

	public void setItem(MenuItem item) {
		this.item = item;
	}

}
